Qr Code Services

Qr Code Serviceslink

POST/wallet2/qrcode/generate

Generate Qr Code

This endpoint allows you generate a QR code and create a customer on the QR code platform

Headers

Authorization

Parameters

wallet-credentialsquerystringdefault:

Request body

application/json
{
  "accountNo": "1000012121",
  "qrType": "2",
  "amount": "9000",
  "phone": "080000000000",
  "email": "abc@gmail.com"
}

Responses

transaction-limit

{
  "status": "00",
  "message": "Successfully Updated"
}
boltTry it
env
POSThttps://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/wallet2/qrcode/generate

Query parameters

wallet-credentials

Headers

Authorization

Request body

Code samples

curl -X POST 'https://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/wallet2/qrcode/generate' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "accountNo": "1000012121",
  "qrType": "2",
  "amount": "9000",
  "phone": "080000000000",
  "email": "abc@gmail.com"
}'
POST/wallet2/qrcode/query

Query QR Code

This endpoint allows you retrieve a merchant details using a QR code

Headers

Authorization

Parameters

wallet-credentialsquerystringdefault:

Request body

application/json
{
  "qrCode": "09875R12344554**99944T4T166**5747574****PKG000000090726720019NG.COM.NIBSS-PLC.QR0222S000000066302309665405200005802NG5916MUHAMMEDALEXIS6007Nigeria7304FB00"
}

Responses

transaction-limit

{
  "status": "00",
  "message": "Successfully Updated"
}
boltTry it
env
POSThttps://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/wallet2/qrcode/query

Query parameters

wallet-credentials

Headers

Authorization

Request body

Code samples

curl -X POST 'https://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/wallet2/qrcode/query' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "qrCode": "09875R12344554**99944T4T166**5747574****PKG000000090726720019NG.COM.NIBSS-PLC.QR0222S000000066302309665405200005802NG5916MUHAMMEDALEXIS6007Nigeria7304FB00"
}'
POST/wallet2/qrcode/pay

Qr Code Pay

This endpoint allows  customers on the QR code platform make payment

Headers

Authorization

Parameters

wallet-credentialsquerystringdefault:

Request body

application/json
{
  "accountNo": "1000012121",
  "qrType": "2",
  "amount": "9000",
  "phone": "080000000000",
  "email": "abc@gmail.com"
}

Responses

transaction-limit

{
  "status": "00",
  "message": "Successfully Updated"
}
boltTry it
env
POSThttps://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/wallet2/qrcode/pay

Query parameters

wallet-credentials

Headers

Authorization

Request body

Code samples

curl -X POST 'https://api-devapps.vfdbank.systems/vtech-wallet/api/v1/wallet2/wallet2/qrcode/pay' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "accountNo": "1000012121",
  "qrType": "2",
  "amount": "9000",
  "phone": "080000000000",
  "email": "abc@gmail.com"
}'